VME BPM - Bug #9939
Milestone # 9746 (Closed): Comission F4 and SSB nodes

Digitizers at SSB have the wrong firmware.
08/27/2015 10:21 AM - John Diamond

Status: Closed Start date: 08/27/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 3.50 hours
Description

It looks like the digitizer's at SSB have the wrong firmware:
sbpmsb:vmebpm> d 0xfbff22a8
fbff22a0: 000e acOa 8000 0000 ¥ L0000 &3

sbpmsb:vmebpm> d O0xfbff32a8
fbf£32a0: 000e acOa 8000 0000 “¥ g poooc b

I expect something like 0x000fadOb --

sbpmf4:vmebpm> d 0xfbff22a8
fbff22a0: 000f adOb 8000 0000 @ s5oo0oc e

Ning will re-flash them.

History

#1 - 08/27/2015 11:53 AM - John Diamond

Re-installed the digitizers at SSB and | still see the following:

sbpmsb:vmebpm> d 0xfbff22a8

fbff22a0: 000e acOa 8000 0000 ¥ 60000 d
fbff32a0: 000e acOa 8000 0000 Fo *
fbf£32b0: 0000 0000 0000 0000 0000 0000 0000 0000 K e e *

Then | noticed that...

0fad0b 0000 1111 1010 1101 0000 1011
OeacOa = 0000 1110 1010 1100 0000 1010

It looks like the LSB in each 16-bit word is always 0 when it should be 1....

#2 - 08/27/2015 05:11 PM - John Diamond

Took the processor and digitizers from SSB and put them in Ning's crate. Found that the processor board wasn't making a total connection with the
backplane. Ning found that the problem went away when we screwed in the processor into the front panel.

#3 - 08/28/2015 09:42 AM - John Diamond
- Status changed from New to Resolved

- Assignee set to John Diamond

Placed the processor and digitizers back in the SSB crate. Screwed the processor in tightly. It appears that the CPU is now communicating with the
digitizers over the VME bus correctly:

fbff22a0: 000f adOb 8000 0000 W  so0o000 d

fbff32a0: 000f adOb 8000 0000 % G oo000a0 *
Forgot to hook up TCLK signal and did not know where to hook up BPM signals. Troy will go out later to hook those up.

#4 - 08/28/2015 09:43 AM - John Diamond
- Status changed from Resolved to Closed

- % Done changed from 0 to 100
